<?php

namespace EnumType;

/**
 * This class stands for TpegLoc03JunctionPointDescriptorSubtypeEnum EnumType
 * @subpackage Enumerations
 */
class TpegLoc03JunctionPointDescriptorSubtypeEnum
{
    /**
     * Constant for value 'junctionName'
     * @return string 'junctionName'
     */
    const VALUE_JUNCTION_NAME = 'junctionName';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_JUNCTION_NAME
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_JUNCTION_NAME,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
